<?
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

$set['title'] = 'Мои Друзья Онлайн';
include_once 'sys/inc/thead.php';
title();


$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}

$ank = mysql_fetch_array($q);


if (isset($_GET['add']))msg('Заявка отправлена');
echo "  <div class='mytitle'>\n";
echo "".online($ank['id'])." <a href='/'>$ank[nick]</a><br/>\n";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$ank[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-900)."'"), 0);

echo ''.( ($k_post==0) ? 'Нет ' : 'на сайте '.$k_post ).' друзей</div>';
echo "</div>\n";
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo '<table class="post">'."\n";

$q = mysql_query("SELECT * FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$ank[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-900)."' ORDER BY `user`.`date_last` DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{

$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));
echo '<tr><td class="linechat">';
avatar2($a['id']);

echo "".online($a['id'])." \n";
echo '<a href="/info.php?id='.$a['id'].'"><span style=\"color:$ank[ncolor]\">'.$a['nick'].'</span></a>';
//echo ' <a href="/mail.php?id='.$a['id'].'"><img src="style/img/mail.gif"></img></a><br/> ';
echo "<br/><font color='#827f7f'>".vremja($a['date_last'])."</font><br/>\n";
echo "  <td>\n";
echo "  <td class='fs1'>\n";
if (isset($user) && $user['id']!=$a['id'])echo '<a href="/mail.php?id='.$a['id'].'"><img src="/style/img/msg.png"></img></a>';
echo '</td></tr>';
}

echo '</table>'."\n";

if ($k_page>1)str("?id=$ank[id]&",$k_page,$page); // Вывод страниц

include_once 'sys/inc/tfoot.php';
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
?>
